[Plugin] Selection Toys

Re: [Plugin] Selection Toys (2.2.0) —31 August 2010

Postby thomthom » Tue Sep 28, 2010 9:14 am

Check the Tools menu.

Tools -> Selection Toys -> Enable Toolbar
then after you do that - check the menu you showed in the screenshot.
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Thu Oct 14, 2010 5:09 pm

Version 2.2.1
  • Fixed Select DC Instances
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Thu Oct 14, 2010 5:28 pm

Sorry - I forgot to include a file. Redownload.
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby brookefox » Wed Oct 20, 2010 12:46 am

It was working in V7, but I can't get Sel Toys working in V8. Feeling stupid for a number of reasons.

My configurtion of Sel Toys:

C:\Program Files (x86)\Google\Google SketchUp 8\Plugins\TT_Lib
C:\Program Files (x86)\Google\Google SketchUp 8\Tools\TT_Select_Toys

After SU8 re-start:

no context picks for Sel Toys
no pick for Sel Toys in Tools menu drop down
0
~ Brooke
User avatar
brookefox 
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Wed Oct 20, 2010 7:24 am

brookefox wrote:C:\Program Files (x86)\Google\Google SketchUp 8\Plugins\TT_Lib
C:\Program Files (x86)\Google\Google SketchUp 8\Tools\TT_Select_Toys

Don't put plugins in the Tools folder.

There should be

C:\Program Files (x86)\Google\Google SketchUp 8\Plugins\TT_Lib\ - (inside, lots of .rb files)

C:\Program Files (x86)\Google\Google SketchUp 8\Plugins\tt_selection_toys.rb
C:\Program Files (x86)\Google\Google SketchUp 8\Plugins\TT_Select_Toys\
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby brookefox » Wed Oct 20, 2010 6:33 pm

OK. Thank you. I thought that since it is accessed by the tools menu..., but thinking is not my strong suite.

You must enable it from Tools->Selection Toys->Enable Toolbar before it appears under View->Toolbars->Selection Toys.


While the install didn't seem that clear to me, I didn't notice many install problems in the thread, so likely I am being thick. Perhaps because I assumed it was different than the norm when it is not. (Is the download count related to this, only 141 for such a useful tool? Or is that count only since the last update or somehow not reliable?)

Thanks, again.
0
~ Brooke
User avatar
brookefox 
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Wed Oct 20, 2010 6:36 pm

Since last update - there's been thousands of downloads all together of the previous versions.

With my more recent plugins I've started to add more detailed descriptions of how they should be installed.
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby brookefox » Tue Oct 26, 2010 7:05 pm

I will remove and try to re-install as now for me under Tools, there is no 'Selection Toys'; and so not surprisingly, under View->Toolbars there is no 'Selection Toys'. After entity pick, context menu does not show sel toy choices.

Folders TT_Lib and TT_Select_Toys are both in Plugins, as is file tt_selection_toys.rb.
0
~ Brooke
User avatar
brookefox 
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Tue Oct 26, 2010 7:31 pm

brookefox wrote:and so not surprisingly, under View->Toolbars there is no 'Selection Toys'.

You need to enable the toolbar under Tools -> Selection Toys -> Enable Toolbar
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby brookefox » Tue Oct 26, 2010 7:42 pm

Thank you, but under Tools there is no 'Selection Toys.'
0
~ Brooke
User avatar
brookefox 
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Tue Oct 26, 2010 8:00 pm

hmm.... no errors upon startup?
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby brookefox » Tue Oct 26, 2010 9:40 pm

Yes, a few. This is not current; I will update it soon.

(eval):6094: compile error
(eval):4921: syntax error, unexpected ',', expecting ')'
if (n1.between? (n2 - interval), (n2 + interval))

^Error Loading File cd_power_extension_m.rb
(eval):6094: compile error
(eval):4921: syntax error, unexpected ',', expecting ')'
if (n1.between? (n2 - interval), (n2 + interval))

^Error Loading File cd_power_m.rb
(eval):6094: compile error
(eval):4921: syntax error, unexpected ',', expecting ')'
if (n1.between? (n2 - interval), (n2 + interval))

^no such file to load -- Projection/projection.rbError Loading File projection_extension.rb
no such file to load -- Projection/projection.rbError Loading File protrude.rb
no such file to load -- protrude/protrude.rbError Loading File vismap2_menu.rb
can't convert nil into String
0
~ Brooke
User avatar
brookefox 
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Tue Oct 26, 2010 9:41 pm

They refer to other plugins. You seem to have multiple issues though. You might want to consider starting from scratch..
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby brookefox » Wed Oct 27, 2010 1:29 am

Yes, I thought they referred to other plugins, but you were kind enough to ask. I think I would much rather try to ferret out the problems with a few than mess with the score(s) that seem to be OK. After addressing the apparent issues, the current load error msg. is:

Error Loading File tt_selection_toys.rb
undefined method `require_version' for TT_Lib:Module
0
~ Brooke
User avatar
brookefox 
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Wed Oct 27, 2010 7:23 am

hm... and you have the latest TT_Lib (version 1.x) ?
Can you post a screen of the content of your TT_Lib folder?
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby brookefox » Wed Oct 27, 2010 5:38 pm

Well, certainly, but I feel I have taken enough of your time and will try to re-DL and re-install in the likely event that I boobied somehow along the way...

Either way I will be back.

Thank you.
0
~ Brooke
User avatar
brookefox 
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Wed Oct 27, 2010 6:32 pm

It looks like you have an old version of TT_Lib installed. The dates of the files, and the lack of many of the files from the latest version would suggest this. You can confirm by typing TT_Lib::Version into the Ruby Console and see what it returns.

If you recently did download TT_Lib but did not get 1.2.0 then maybe you're getting a cached version.
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby brookefox » Wed Oct 27, 2010 7:21 pm

thomthom wrote:TT_Lib::Version into the Ruby Console returns.

Results:

TT_Lib::Version
Error: #<NameError: (eval):2537: uninitialized constant TT_Lib::Version>
(eval):2537


Perhaps a cached version: that may let me off the stick a little for screwing things up.

I re-DLd and installed and will advise if fix fails.

Many thanks.
0
~ Brooke
User avatar
brookefox 
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby arjunmax09 » Sat Nov 13, 2010 6:54 pm

I have sketchup pro 8 ..I've removed my old version of selection toys and downloaded the new one.I already have this 1.2.0 version of TT_lib. But everytime i start sketchup i get a dialog box saying ...Selection Toys requires a new version, 1.2.0, of TT_Lib. Sketchup pauses for a moment...then all the toolbars come in place and selection toys plugin works fine...what should i do to get rid of the dialog box??
0
when you fail at something....you haven't really failed...you've found one way the thing will not work out

arjunmax09 
Banned
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Sat Nov 13, 2010 7:30 pm

What do you get when you enter TT_Lib::Version into the Ruby Console?
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby arjunmax09 » Sun Nov 14, 2010 5:32 am

thomthom wrote:What do you get when you enter TT_Lib::Version into the Ruby Console?


I get this...

TT_Lib::Version
Error: #<NameError: (eval):2307: uninitialized constant TT_Lib::Version>
(eval):2307

wonder why i'm getting an error when selection toys plugin is working fine... :roll:
0
when you fail at something....you haven't really failed...you've found one way the thing will not work out

arjunmax09 
Banned
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Sun Nov 14, 2010 9:10 am

what? you get that error but Selection Toys is still loaded?

Something is messed up here. Can you post a screenshot of your plugins folder?
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Sun Nov 14, 2010 9:12 am

arjunmax09 wrote:
thomthom wrote:What do you get when you enter TT_Lib::Version into the Ruby Console?


I get this...

TT_Lib::Version
Error: #<NameError: (eval):2307: uninitialized constant TT_Lib::Version>
(eval):2307



Sorry - it should be TT_Lib::VERSION - note the big capitals.
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby arjunmax09 » Sun Nov 14, 2010 1:15 pm

thomthom wrote:what? you get that error but Selection Toys is still loaded?

Something is messed up here. Can you post a screenshot of your plugins folder?


here's my list of plugins...i also downloaded tt_lib 2 just in case it wd help..but the problem is still there..

uh..i'm getting this when i enter the required command in ruby console....

TT_Lib::VERSION
1.1.0
:?

I removed the earlier version but don't know what's this all about
0
when you fail at something....you haven't really failed...you've found one way the thing will not work out

arjunmax09 
Banned
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Sun Nov 14, 2010 4:07 pm

arjunmax09 wrote:uh..i'm getting this when i enter the required command in ruby console....

TT_Lib::VERSION
1.1.0

This seem to be the same as what brookefox had: viewtopic.php?f=323&t=14975&start=315#p282763
Simply not updated TT_Lib version. Make sure you overwrite the old files.


arjunmax09 wrote:here's my list of plugins...i also downloaded tt_lib 2 just in case it wd help..but the problem is still there..

TT_Lib2 won't have anything to do with Selection Toys.
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby arjunmax09 » Sun Nov 14, 2010 4:39 pm

thomthom wrote:This seem to be the same as what brookefox had: viewtopic.php?f=323&t=14975&start=315#p282763
Simply not updated TT_Lib version. Make sure you overwrite the old files.
TT_Lib2 won't have anything to do with Selection Toys.


I already overwrote the old files..even deleted the old folders, redownloaded your ttlib plugin from SCF and unzipped them to the plugins library but the error still pops up... :?
0
when you fail at something....you haven't really failed...you've found one way the thing will not work out

arjunmax09 
Banned
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Sun Nov 14, 2010 4:55 pm

Somehow you're not installing the latest. ...maybe when you download you are getting a cached version... tried clearing your browser cache?
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby arjunmax09 » Sun Nov 14, 2010 6:20 pm

thomthom wrote: ...maybe when you download you are getting a cached version... tried clearing your browser cache?


yup...i always clear up my browser cache using CCleaner..a freeware that clears up all the temporary files trash, etc...Can you mail me the recent version...is there any way to detect if I have a recent version or not??
0
when you fail at something....you haven't really failed...you've found one way the thing will not work out

arjunmax09 
Banned
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby thomthom » Sun Nov 14, 2010 6:52 pm

Download the TT_Lib zip file - extract to a temporary location can open up core.rb in Notepad. See if it says VERSION = '1.2.0' somewhere in there.
Then you verify if it's a download problem or not.
0
Thomas Thomassen — SketchUp Monkey & Coding addict
List of my plugins and link to the CookieWare fund
User avatar
thomthom 
PluginStore Author
PluginStore Author
 

Re: [Plugin] Selection Toys (2.2.1) —14 October 2010

Postby arjunmax09 » Sun Nov 14, 2010 7:31 pm

thomthom wrote:Download the TT_Lib zip file - extract to a temporary location can open up core.rb in Notepad. See if it says VERSION = '1.2.0' somewhere in there.
Then you verify if it's a download problem or not.


It is version 1.2.0..i checked it out in the core.rb file.

##### CONSTANTS #####

# TT_Lib version constant.
# @since 1.0.0
VERSION = '1.2.0'
# Array indexes for VERSION.split('.')
# @since 1.2.0
V_MAJOR = 0
V_MINOR = 1


.. :roll: what should I do now?? It's not a download problem of ..what's wrong with my file then??
0
when you fail at something....you haven't really failed...you've found one way the thing will not work out

arjunmax09 
Banned
 

SketchUcation One-Liner Adverts

by Ad Machine » 5 minutes ago



Ad Machine 
Robot
 

PreviousNext


 

Return to Plugins

cron

Who is online

Users browsing this forum: burger160, dgbz, Google Bot, jackboy360 and 15 guests

Visit our sponsors: